Summary:	Simple SQL dev tool
Name:		qtsqlview-qt6
Version:	0.8
Release:	1%{?dist}
License:	GPLv2+
URL:		https://copr.fedorainfracloud.org/coprs/vr5/playground
Source0:	QtSqlView-0.8.0.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
Patch0:         qtsqlview-assert.patch
Patch1:         qtsqlview-qt6.patch
Requires:	qt6-qtbase-gui
BuildRequires:	qt6-qtbase-devel

%description 
QtSqlView lets developer connect to database with Qt SQL driver, browse data, run queries;

%global debug_package %{nil}

%prep
%setup -qn QtSqlView-0.8.0
%patch 0 -p1
%patch 1 -p1

%build
qmake
make

%install
install -D src/QtSqlView $RPM_BUILD_ROOT/usr/bin/qsqlview

%files 
%defattr(0755,root,root)
/usr/bin/qsqlview

%clean 
rm -rf %{buildroot}

%changelog 
*Fri Jul 19 2024 Vad Rulezz <vr5@yandex.ru> - 0.8
- Initial Package of qtsqlview
